<!DOCTYPE html>
<html lang="en">
   <head>
      <meta charset="utf-8" />
      <title>An online card | Greetings</title>
      <meta http-equiv="Accept-CH" content="DPR, Width, Viewport-Width">
      <meta name="robots" content="max-image-preview:large">
      <meta name="viewport" content="width=device-width, initial-scale=1" />
      
      <link href="/favicon.ico" rel="shortcut icon" type="image/x-icon" />
      <link rel="/apple-touch-icon" href="apple-touch-icon.png">
      <meta name="description" />
      <!-- <meta name="browser" content="firefox" /> -->
      <meta name="twitter:card" content="summary" />
      <meta property="og:title" content="An online card | Greetings Card" />
      <meta property="og:site_name" content="Greetings Card" />
      <meta property="og:url" content="<%= PageLink %>" />
      <meta property="og:image" content="<%= Front %>" />
      <meta property="og:image:width" content="<%= Image_Width %>" />
      <meta property="og:image:height" content="<%= Image_Hight %>" />
      <meta property="og:type" content="other" />
      <meta name="robots" content="noindex">

      <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
      <link rel="stylesheet" href="/public/assets/bundles/theme.css" />
      <link rel="stylesheet" href="/public/assets/bundles/style.css" />
      <link href="https://fonts.googleapis.com/css?family=Raleway:400,600,700|Lato:400,700&display=swap" rel="stylesheet" />

      <% if(Is_RSVP) { %>
         <link rel="stylesheet" href="/public/assets/bundles/online-invitations.css">
      <% } %>

      <script>
         function doGoogleTagDisplay(code) { 
             window.gi = window.gi || {};
             var googleTagCallbacks = window.gi.googleTagCallbacks = window.gi.googleTagCallbacks || [];
             googleTagCallbacks.push(code);
         };
         function detectWidth() {
             return window.screen.width || window.innerWidth || window.document.documentElement.clientWidth || Math.min(window.innerWidth, window.document.documentElement.clientWidth) || window.innerWidth || window.document.documentElement.clientWidth || window.document.body.clientWidth
         }
         function isMobileScreenSize() {
             return detectWidth() <= 767
         }
         
      </script>
      <script type="text/javascript">
         var culture = 'en';
         var page = {
             area: '',
             controller: 'Card',
             action: 'Pickup'
         };
      </script>
      
      <link rel="stylesheet" href="/public/assets/bundles/3dcards-<%= Orientation %>.css" />

   </head>
   <body class="pickup _user-uninitialized">
      <div class="site   en">
         <header id="header" class="site-header _no-mg-b">
            <div class="wrap">
               <div class="header-left">
              
               </div>
               <div class="header-right">
               
               </div>
               <div class="mobile-search-form">
                 
               </div>
            </div>
            <!-- <hr class="grey-line desktop" /> -->
         </header>
         <script>
            window.gi = window.gi || {};
            window.gi.render = window.gi.render || {};
            window.gi.render.header = true;
            document.dispatchEvent(new CustomEvent("gi.render.header"));
         </script>
         <main class="main-content">
            <div class="wrap -size-md">
               <div id="magic" class="loading">
                  <img src="/public/assets/images/theme/now_loading_4.0.gif" />
                  <span>Loading...</span>
               </div>
               <style>
                  .envelope::before  {background-image: url('https://static.greetingsisland.com/images/theme/envelopes/envelope_back.png?auto=format,compress'); }
                  .envelope::after {  background-image: url('https://static.greetingsisland.com/images/theme/envelopes/envelope_front.png?auto=format,compress');}
               </style>
               
               <% if(Orientation === 'portrait'){ %>
                  <img src="/public/assets/images/theme/drag.png" class="dragMob _invisible _visible-sm _3dhide">
               <% } else{ %>  
                  <img src="/public/assets/images/theme/drag_landscape.png" class="dragMob _invisible _visible-md _3dhide">
               <% } %>
               
               <% if(Orientation === 'portrait'){ %>
                  <img src="/public/assets/images/theme/left.png" class="drag _invisible-sm _3dhide" id="drag">
               <% } else{ %>  
                  <img src="/public/assets/images/theme/top.png" class="drag _invisible-md _3dhide" id="drag">
               <% } %>

               <div class="layout layout--horizontal layout--<%= Orientation %>">
                  <div class="envelope">
                     <div class="card frame-0">
                        <div class="card-side card-back--outer"><span class="debug"></span></div>
                        <div class="card-side card-back--inner"><span class="debug"></span></div>
                        <div class="card-side card-front--inner"><span class="debug"></span></div>
                        <div class="card-side card-front--outer"><span class="debug"></span></div>
                     </div>
                  </div>
               </div>
               <div class="preloader" style="display: none; ">
                  <img class="preload" src="https://static.greetingsisland.com/images/theme/envelopes/envelope_front.png?auto=format,compress" alt="" aria-hidden="true">
                  <img class="preload" src="https://static.greetingsisland.com/images/theme/envelopes/envelope_back.png?auto=format,compress" alt="" aria-hidden="true">

                  <!-- dynamic -->
                  <img class="preload front" src="<%= Front %>" alt="" aria-hidden="true">
                  <img class="preload left" src="<%= Default_Image %>" alt="" aria-hidden="true">
                  <img class="preload right" src="<%= Default_Image %>" alt="" aria-hidden="true">

                  <!-- last page -->
                  <img class="preload back" src="<%= Default_Image %>" alt="" aria-hidden="true">
               </div>
               <script>    

                  var defaultImages = {
                    "Front": "<%= Front %>",
                    "Back":  "<%= Default_Image %>",
                    "Left": "<%= Default_Image %>",
                    "Right": "<%= Default_Image %>"
                  };
                  
                  //var withWatermark = false;
                  
                  function init3DFrame(images) {//call from editor, use playCard
                      playCard(images);
                  }
                  
                  function playCard(images) {      
                          var _images = {
                              Front: sessionStorage.getItem(`PreviewFrontImage`) ?? images?.Front ?? defaultImages.Front,
                              Left: sessionStorage.getItem(`PreviewLeftImage`) ?? images?.Left ?? defaultImages.Left,
                              Right: sessionStorage.getItem(`PreviewRightImage`) ?? images?.Right ?? defaultImages.Right,
                              Back: sessionStorage.getItem(`PreviewBackImage`) ?? images?.Back ?? defaultImages.Back
                          };
                          init3d(_images).then(() => {                
                              sessionStorage.removeItem(`PreviewFrontImage`);
                              sessionStorage.removeItem(`PreviewLeftImage`);
                              sessionStorage.removeItem(`PreviewRightImage`);
                              sessionStorage.removeItem(`PreviewBackImage`);
                          });
                          
                  }
                  
                  async function init3d(images) {
                  
                      $('.preload.front').attr('src', images.Front);
                      $('.preload.left').attr('src', images.Left);
                      $('.preload.right').attr('src', images.Right);
                      $('.preload.back').attr('src', images.Back);
                  
                      $('head').append('<style type="text/css">' +
                          '.card-front--outer {background-image: url("' + images.Front + '"); }' +
                          '.card-front--inner {background:linear-gradient(135deg,rgba(0, 0, 0, 0.05),rgba(0, 0, 0, 0.03)), url("' + images.Left + '"); }' +
                          '.card-back--inner  {background:linear-gradient(135deg,rgba(0, 0, 0, 0.05),rgba(0, 0, 0, 0.03)), url("' + images.Right + '"); }' +
                          '.card-back--outer  {background:linear-gradient(135deg,rgba(0, 0, 0, 0.05),rgba(0, 0, 0, 0.03)), url("' + images.Back + '"); }' +
                          '</style>');
                  
                      gi3dInit();
                  
                      $(document).on('gi3d-card-ready', function () {
                          $("._3dhide").removeClass("_3dhide");
                      });
                       
                      return;
                  }
                  
               </script>
            </div>
            <hr class="pickup-seprator _3dhide">
            <div class="_3dhide pickup-bottom">
               <div id="btn" class="preview-buttons _mg-b-sm  _pd-t-sm _align-center">

                  <% if(GreetDate){ %>
                  <p class="_mg-b-sm">
                     on
                     <strong><%= GreetDate %></strong>
                  </p>
                  <% } %>

                  <div class="button -ternary -size-sm-md _mg-b-xs" onclick="download_card_as_pdf('IN', '<%= Orientation %>'); this.nextElementSibling.classList.remove('hidden');">Download Printable Version</div>
                  <p class=" _mg-b-sm xs-small hidden">
                     Download should start immediatly.<br />                     
                  </p>
                  
               </div>              
            </div>

            <% if(Is_RSVP) { %>
               <%- include('pickup.ejs') %>
               <%- include('guest.ejs') %>
               <%- include('rsvp.ejs') %>
               <%- include('rsvp_fixed.ejs') %>
            <% } %>

         </main>

         <footer id="footer" class="x-site-footer">
            <div class="wrap">
               <div class="footer-left float-left">
                  <nav class="float-left footer-nav">
                     <ul>                        
                     </ul>
                  </nav>
                  <div style="display:inline-block;vertical-align:top">
                     <div class="footer-social float-left">                        
                     </div>
                     <div class="float-left footer-app">                     
                     </div>
                  </div>
               </div>
               <div class="footer-right float-right">
           
               </div>
            </div>
         </footer>
      </div>
      <script src="/public/assets/bundles/jquery.js"></script>
      <script src="/public/assets/bundles/jquery.validate.js"></script>
      <script src="/public/assets/bundles/libs.js"></script>
      <script src="/public/assets/bundles/gi.js"></script>
      <script src="/public/assets/bundles/3dcard.js"></script>
      <script src="/public/assets/Scripts/jspdf.min.js"></script>
      <script src="/public/assets/Scripts/gi.cardDownload.js"></script>
      <script src="https://cdn.jsdelivr.net/npm/js-cookie@3.0.1/dist/js.cookie.min.js"></script>

      <% if(Is_RSVP){ %>
         <script src="/public/assets/Scripts/select2.full.min.js"></script>
         <script src="/public/assets/bundles/online-invitations.js"></script>
      <% } %>
      
      <script>
         $(function () {
         
             var images = {
                "Front": "<%= Front %>",
                "Back": "<%= Back %>",
                "Left": "<%= Left %>",
                "Right": "<%= Right %>"
            }
         
             playCard(images);
         
             slickInit();
          
         });
      </script>

      <% if(Is_RSVP) { %>
         <%- include('rsvp_handler.ejs') %>
      <% } %>

   </body>
</html>
